diff --git a/CHANGELOG b/CHANGELOG
index f5f9efb..1d12402 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -44,6 +44,7 @@
 - alter nfs4 host probing to not use portmap lookup and add options
   check for "port=" parameter.
 - correct semantics of "-null" map handling.
+- remove ability to use multiple indirect mount entries in master map.
 
 1/9/2006 autofs-5.0.1 rc2
 -------------------------
diff --git a/lib/master_parse.y b/lib/master_parse.y
index e0af295..0fa639c 100644
--- a/lib/master_parse.y
+++ b/lib/master_parse.y
@@ -565,6 +565,13 @@ int master_parse_entry(const char *buffe
 			return 0;
 		}
 		entry = new;
+	} else {
+		if (strcmp(path, "/-")) {
+			warn(LOGOPT_VERBOSE,
+			     "ignoring duplicate indirect mount %s", path);
+			local_free_vars();
+			return 0;
+		}
 	}
 
 	if (!entry->ap) {
